@echo off

set PATH=%~d0\texlive\2023\bin\windows
set DATADIR=%~d0\.local\share\pandoc
set METADATA=metadata.yaml
set TEMPFILE=temp.md

if [%~x1] == [.md] (
  REM substitutions %~nx1
  REM pandoc -s %~nx1 %METADATA% -o %~n1.pdf --from markdown --template eisvogel --data-dir=%DATADIR% -V lang=fr
  replace %~nx1 %TEMPFILE%
  pandoc -s %TEMPFILE% %METADATA% -o %~n1.pdf --from markdown --template eisvogel --data-dir=%DATADIR% -V lang=fr
) else (
  echo usage :
  echo   %~n0 MON_FICHIER.md
)
